---
kind: pipeline
type: exec
name: Build and deploy

steps:
   - name: Build Cw1
     commands:
       - cd firstcw/cw
       - pdflatex cw.tex
       # Prepare bib
       - /usr/bin/vendor_perl/biber cw
       # Compile twice for the table of contents and for bib text
       - pdflatex cw.tex
       - pdflatex cw.tex
       - cd -

   - name: Build Cw2
     commands:
       - cd secondcw/cw
       - pdflatex cw.tex
       # Prepare bib
       - /usr/bin/vendor_perl/biber cw
       # Compile twice for the table of contents and for bib text
       - pdflatex cw.tex
       - pdflatex cw.tex
       - mv cw.pdf cw2.pdf
       - cd -

 #  - name: Build Report
 #    commands:
 #      - cd report
 #      - cp ../upds-1/UPDS-content.tex UPDS-1-content.tex
 #      - cp ../upds-2/UPDS-content.tex UPDS-2-content.tex
 #      - pdflatex report.tex
 #      # Prepare bib
 #      - /usr/bin/vendor_perl/biber report
 #      # Compile twice for the table of contents and for bib text
 #      - pdflatex report.tex
 #      - cd -
 #
 #  - name: Generate text
 #    commands:
 #      - pnpm i
 #      - pnpm ts-node main.ts report/report.tex

   - name: gitea_release
     environment:
       TOKEN:
         from_secret: token
     commands:
       - tea login add --url https://git.andr3h3nriqu3s.com --token "$TOKEN"
       - tea r rm -y latest || echo "Release not found"
       - tea r c --title "Latest" --asset firstcw/cw/cw.pdf --asset secondcw/cw/cw2.pdf latest

   - name: Remove current on failure
     environment:
       TOKEN:
         from_secret: token
     commands:
       - tea login add --url https://git.andr3h3nriqu3s.com --token "$TOKEN"
       - tea r rm -y latest || echo "Release not found"
     trigger:
       status:
         - failure
     when:
       status:
         - failure

# - name: latest
#   environment:
#     TOKEN:
#       from_secret: token
#   commands:
#     - tea r rm -y "3rd-metting" || echo "Release not found"
#     - tea r c --title "Last Metting Report" --asset report/report.pdf --asset upds-1/UPDS12-1.pdf --asset upds-2/UPDS12-2.pdf "3rd-metting" 

trigger:
  branch:
    - main
node:
  lights: builder
